Kerbal Space Program - Bug #1101

Resource Tab disappears
07/24/2013 07:05 PM - RPharazon

Status: Duplicate Start date: 07/24/2013
Severity: Low % Done: 100%
Assignee: Romfarer

Category: Camera

Target version:

Version: 0.21 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Stock KSP, fresh install on Steam, fresh world, KSP.log and dxdiag included.
Fullscreen, that might matter. Bug replicated on Kerbin, and encountered in orbit and on the surface of the Mun.

Resource tab disappears under certain circumstances. See screenshot629.jpg for an example.
At first | thought it was something to do with EVAs, planting flags, using resources, the map view, or having resource tabs "open" in
EVA. | can confirm that this was not the cause.

Replication

Have an example craft loaded and in focus, resource tab can be open, open and locked, or closed.
F2 to turn off Ul.

Esc to get into the pause menu.

Alt-tab out of the game.

Alt-tab back into the game.

Esc to close the pause menu.

F2 to get Ul to reappear if it hasn't already.

The resource tab should by now be invisible.

The resource tab can be rendered visible again by pressing F2 twice to cycle the Ul off and on again. See screenshot634.jpg.

KSP.log pastebin
http://pastebin.com/LTSvvgiN

History

#1 - 07/24/2013 07:14 PM - Ted
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Just reproduced that here, there's actually no need to even alt-tab. Much thanks for the excellent bug report. Marked as Confirmed.

#2 - 07/24/2013 07:28 PM - Romfarer

- Assignee set to Romfarer

#3 - 07/25/2013 09:42 AM - Romfarer
- Status changed from Confirmed to Duplicate

- % Done changed from 10 to 100

issue 1118

Files

DxDiag24072013RPharazon.txt 31.5 KB 07/24/2013 RPharazon
screenshot629.jpg 216 KB 07/24/2013 RPharazon
screenshot634.jpg 221 KB 07/24/2013 RPharazon
